//Shaders by Sage
//*********************
//Last edit 19.08.2010 17:44

//Textures used for the terrain shaders:
//
//1:	textures/stone/mxsnow2.tga			(main texture)
//3:textures/snow_sd/snow_noisy.tga				(asphalt texture...)
//4:	textures/snow_sd/mxrock4b_snow.tga			(gravel texture)
//5:	textures/egypt_floor_sd/sandygrass_b.tga		(grass texture)
//6:	textures/mp_siwa/rock_edged.tga
//7:  	textures/stone/mxrock3h_snow.tga
//8:	textures/snow_sd/snow_muddy.tga			(Cave floor texture)
//9:	textures/egypt_floor_sd/sandy_dirt_01.tga	

//Base shader:

textures/sage2_terrain_w/base_shader
{
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_alphaMod dotproduct2 ( 0 0 2 )
	q3map_tcMod rotate 33

	q3map_noClip
	q3map_noTJunc

	q3map_nonplanar
	q3map_shadeAngle 179

	q3map_lightmapsize 1024 1024
	q3map_lightmapMergable
	q3map_lightmapsamplesize 8
	//q3map_lightmapaxis z
}

textures/sage2_terrain_w/base_shader_cave
{
	q3map_noClip
	q3map_noTJunc

	q3map_nonplanar
	q3map_shadeAngle 179

	//q3map_lightmapsize 512 512
	q3map_lightmapMergable
	q3map_lightmapsamplesize 8
	//q3map_lightmapaxis z
}

//***-***


//Single, non blending shaders:

textures/sage2_terrain_w/1 
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_1.tga
	surfaceparm gravelsteps
	surfaceparm landmine
	
	{
		map textures/stone/mxsnow2.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/4
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_4.tga
	
	{
		map textures/sage2_terrain_w/road_gravel.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/5
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_5.tga
	
	{
		map textures/egypt_floor_sd/sandygrass_b.tga	
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/4_cave
{
	q3map_baseshader 		textures/sage2_terrain_w/base_shader_cave
	qer_editorimage textures/desert_sd/rock_edged_smooth.tga

	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/7
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_7.tga
	
	{
		textures/stone/mxrock3h_snow.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/8
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_8.tga
	surfaceparm landmine
	{
		map textures/sage2_terrain/grass_05.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/9
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_9.tga

	{
		map textures/snow_sd/snow_muddy.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/10
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_10.tga

	{
		map textures/sage2_terrain_w/grass_02.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/11
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_11.tga

	{
		map textures/sage2_terrain_w/grass_03.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/12
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_12.tga

	{
		map textures/sage2_terrain_w/grass_04.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/13
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_13.tga

	{
		map textures/sage2_terrain_w/grass_06.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

//***-***


//Dual, blending shaders:

textures/sage2_terrain_w/1_to_4
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_1_to_4.tga
	
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbGen identity
	}
	{
		map textures/sage2_terrain_w/road_gravel.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/1_to_8
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_1_to_8.tga
	
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbGen identity
	}
	{
		map textures/snow_sd/snow_muddy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}


textures/sage2_terrain_w/3_to_1
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_3_to_1.tga
	surfaceparm gravelsteps
	surfaceparm landmine
	
	{
		map textures/snow_sd/snow_noisy.tga
		rgbGen identity
	}
	{
		map textures/stone/mxsnow2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/4_to_1
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_4_to_1.tga
	surfaceparm landmine
	{
		map textures/snow_sd/mxrock4b_snow.tga
		rgbGen identity
	}
	{
		map textures/stone/mxsnow2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/5_to_1
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_5_to_1.tga
	surfaceparm gravelsteps
	surfaceparm landmine

	{
		map textures/egypt_floor_sd/sandygrass_b.tga	
		rgbGen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/6_to_4
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/egypt_walls_sd/debri_m05.tga
	
	{
		map textures/mp_siwa/rock_edged
		rgbGen identity
	}
	{
		map textures/sage2_terrain_w/road_gravel.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/7_to_4
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/stone/mxrock3h_snow.tga
	
	{
		map textures/stone/mxrock3h_snow.tga
		rgbGen identity
	}
	{
		map textures/sage2_terrain_w/road_gravel.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/7_to_1
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_7_to_1.tga
	surfaceparm landmine
	{
		map textures/stone/mxrock3h_snow.tga
		rgbGen identity
	}
	{
		map textures/stone/mxsnow2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}


textures/sage2_terrain_w/8_to_1
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_7_to_1.tga
	surfaceparm landmine
	{
		map textures/snow_sd/snow_muddy.tga
		rgbGen identity
	}
	{
		map textures/stone/mxsnow2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/9_to_1
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_9_to_1.tga
	
	{
		map textures/snow_sd/snow_muddy.tga
		rgbGen identity
	}
	{
		map textures/stone/mxsnow2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/10_to_1
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_10_to_1.tga
	
	{
		map textures/sage2_terrain_w/grass_02.tga
		rgbGen identity
	}
	{
		map textures/stone/mxsnow2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/11_to_10
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_11_to_1.tga
	
	{
		map textures/sage2_terrain_w/grass_03.tga
		rgbGen identity
	}
	{
		map textures/sage2_terrain_w/grass_02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/12_to_1
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_12_to_1.tga
	surfaceparm landmine
	{
		map textures/snow_sd/s_grass_ml03b_big.tga
		rgbGen identity
	}
	{
		map textures/stone/mxsnow2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/sage2_terrain_w/13_to_1
{
	q3map_baseshader textures/sage2_terrain_w/base_shader
	qer_editorimage textures/sage2_terrain/pic_13_to_1.tga
	
	{
		map textures/sage2_terrain_w/grass_06.tga
		rgbGen identity
	}
	{
		map textures/stone/mxsnow2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}


//***-***
